<?php

namespace smusatov\bzb2u;

class Label
{
    protected int $width;
    protected int $height;
    protected int $gap;

    public function __construct(int $width, int $height, int $gap)
    {
        $this->width = $width;
        $this->height = $height;
        $this->gap = $gap;
    }

    public function getWidth(): int
    {
        return $this->width;
    }

    public function getWidthDots(): int
    {
        return $this->width * 8;
    }

    public function getHeight(): int
    {
        return $this->height;
    }

    public function getHeightDots(): int
    {
        return $this->height * 8;
    }

    public function getGap(): int
    {
        return $this->gap;
    }

    public function getGapDots(): int
    {
        return $this->gap * 8;
    }

}
